Para las versiones 1.6.0.13 y 1.6.0.14 hay un error en el que cuando accedes a la url: http://ejemplo.com/api/orders/1&ws_key=API_KEY sale un “Internal error. To see this error please display the PHP errors.”

Como he dicho, esto es un error/bug de prestashop para estas dos versiones que se soluciona de la forma siguiente:

En la carpeta classes/order/Order.php, cambiar la linea 2096 de:

public function getWsCurrentState($state)

a

public function getWsCurrentState()

Un saludo!